package Classes 
{
  import flash.geom.*; 
  import flash.display.*; 

  public class Bird
  {
    private var x:Number = 0;
    private var y:Number = 0;    
    private var angle:int = 0;
    private var left:Boolean = false;
    private var life:int = 0;
      
    public function Bird(x:int,y:int,angle:int) 
    {         
      this.x = x; 
      this.y = y;  
      this.angle = angle;
      left = Math.random() < 0.5 ? true : false;
      life = 100;
    }
    
    public function getPosition():Point
    {
      return new Point(int(x),int(y));
    }
        
    public function update():Boolean
    {
      var rnd:int = (int)(Math.random() * 50);
    
      if (rnd == 25)
        if (left)
        {
          angle += 15;
      
          if (angle == 360)
            angle = 0;
        }
        else   
          {
            angle -= 15;
      
            if (angle == -15)
              angle = 330;
          }       
      
      x += Math.sin(angle / (180 / Math.PI)) * 8;
      y += Math.cos(angle / (180 / Math.PI)) * 8; 
      
      life--;    
      
      return life > 0;
    }
    
    [Embed(source="../Images/Bird.png")] private var birdImg:Class;

    private var bitmap:BitmapData = null;
        
    public function draw(screenBuffer:BitmapData,visible:Rectangle):void
    {
      if (bitmap == null)
      {
        bitmap = new BitmapData(1680,100,true,0x00000000);
        bitmap.draw(new birdImg());
      }    
                              
      screenBuffer.copyPixels(bitmap,
                              new Rectangle(angle / 15 * 70,0,70,100),
                              new Point(int(x) - 35,visible.y - int(y) - 35));
    }
  } 
}
