package Classes 
{
  import flash.geom.*; 
  import flash.display.*; 

  public class BrokenEgg
  {
    private var position:Point = null;
    private var type:int = 0;
    private static var lastType:int = 1;    
      
    public function BrokenEgg(x:int,y:int) 
    {      
      position = new Point(x,y); 
      
      lastType++;     
      
      if (lastType == 4)
        lastType = 1;
        
      type = lastType;   
    }
    
    public function getPosition():Point
    {
      return position;
    }  
    
    [Embed(source="../Images/Egg_Broken.png")] private var eggBrokenImg:Class;

    private var bitmap:BitmapData = null;
        
    public function draw(screenBuffer:BitmapData,visible:Rectangle):void
    {
      if (bitmap == null)
      {
        bitmap = new BitmapData(120,30,true,0x00000000);
        bitmap.draw(new eggBrokenImg());
      }    
    
      screenBuffer.copyPixels(bitmap,
                              new Rectangle(30 * (type - 1),0,30,30),
                              new Point(position.x - 15,visible.y - position.y - 15)); 
    }
  }   
}
